---
title: "Update Project Cost Amounts"
slug: "update-project-cost-amounts"
updated: 2026-05-26T12:53:14Z
published: 2026-05-26T12:53:48Z
canonical: "developers.cmicglobal.com/update-project-cost-amounts"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://developers.cmicglobal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Project Cost Amounts

Post/jc-rest-api/rest/1/updateprojcostamt

SecurityHTTPType basic

Basic authentication

Header parametersContent-TypestringExampleapplication/vnd.oracle.adf.action+json

Body parameters<select class='api-response-data' aria-label='Media type'><option value='d4f9b0be-dd2d-49f2-aa72-fcee9304b465'>application/json</option>
</select>object  Example{
  "name": "updateProjCostAmt",
  "parameters": [
    {
      "compCode": "ZZ"
    },
    {
      "contCode": "PCCTRLJOB"
    },
    {
      "year": "2024"
    },
    {
      "period": "9"
    },
    {
      "billCode": "PCCTRLJOB-01-100-3000"
    },
    {
      "projAmtOverride": "510.50"
    }
  ]
}

Responses200

OK

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.actionresult+json
<select class='api-response-data' aria-label='Media type'><option value='d72a1fbf-23ad-4b49-8e47-2b40b1994ce8'>application/json</option>
</select>

```json
{
  "result": "UPDATED THE PROJECTED COST AMOUNT(500.50) in FORECAST DETAIL for COMPANY(ZZ) and CONTRACT(PCCTRLJOB) at 2024-9 for BILL(PCCTRLJOB-01-100-3000)"
}
```

object  

400

Bad Request

HeadersContent-TypestringExampleapplication/vnd.oracle.adf.actionresult+json
<select class='api-response-data' aria-label='Media type'><option value='c54b14db-7533-4f75-a181-c331c4c7cda2'>application/json</option>
</select>

```json
{
  "error": "ORA-20001: dbk_jc_cont_forecast.p_upd_proj_cost_amt_from_API: Update Cannot be made for previous period records, Current Year: 2024, Current Period: 9\nORA-06512: at \"DA.DBK_JC_CONT_FORECAST\", line 9478\nORA-06512: at \"DA.DBK_JC_CONT_FORECAST\", line 9379\nORA-06512: at line 1\n"
}
```

object
